import React, { PropTypes } from 'react'
import Box from './Box'
import theme from './theme'

const IconSize = {
  mini: '12px',
  small: '16px',
  big: '20px'
}

const Icon = ({ size, ...props }) => {
  const realSize = IconSize.hasOwnProperty(size) ? IconSize[size] : size

  return (
    <Box width={realSize} height={realSize} {...props} />
  )
}

Icon.propTypes = {
  ...Box.propTypes,
  size: PropTypes.oneOfType([
    PropTypes.string,
    PropTypes.oneOf(Object.keys(IconSize))
  ]),
  fill: PropTypes.string
}

Icon.defaultProps = {
  theme,
  size: 'mini',
  fill: theme.colors.dark[0]
}

export default Icon
